# Copyright (C) 2024-2025 LibreWeddingPlanner contributors

class Numeric
  def to_currency
    Money.from_amount(self, "EUR").format
  end
end

class Set
  def to_table
    Tables::Table.new(self)
  end

  def pop
    element = self.to_a.sample
    self.delete(element)
    element
  end
end